Scilab Function
Last update : 16/6/2004

determ - déterminant d'une matrice de polynômes

### Calling Sequence

  `res=determ(W [,k])`

### Parameters

- `W` : matrice réelle de polynômes
- `k` : entier (borne supérieure pour le degré du déterminant de W)

### Description

`res=determ(W [,k])` renvoie le déterminant d'une matrice réelle de polynômes (calculs fait par FFT).

`k` est un entier plus grand que le degré effectif du déterminant. de `W`.

La valeur par défaut de `k` est la plus petite puissance de 2 plus grande que `n*maxi(degree(W))`.

Méthode : évaluation du déterminant de `W` aux fréquences de Fourier et FFT inverse appliquée aux coefficients du déterminant.

### Examples

    s=poly(0,'s');
    w=s*rand(10,10);
    determ(w)
    det(coeff(w,1))*s^10

### See Also

`det`, `detr`, `coffg`,

### Author

F. Delebecque